From: "Aaron Bauman" <bman@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: gui-wm/wayfire/
Date: Sun, 17 May 2020 15:55:00 +0000 (UTC) [thread overview]
Message-ID: <1589730876.72607ad00acb19416f8173803aa3767b4b4aeb62.bman@gentoo> (raw)
commit: 72607ad00acb19416f8173803aa3767b4b4aeb62
Author: Aisha Tammy <gentoo <AT> aisha <DOT> cc>
AuthorDate: Fri May 15 15:52:55 2020 +0000
Commit: Aaron Bauman <bman <AT> gentoo <DOT> org>
CommitDate: Sun May 17 15:54:36 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=72607ad0
gui-wm/wayfire: compiz like 3d wayland manager
Closes: https://bugs.gentoo.org/686854
compiz like eye-candy 3D wayland, with low memory footprint.
Aims to bring desktop features such as 3D cube, fire burn,
fisheye, wrot and all other desktop effects to wayland.
Package-Manager: Portage-2.3.99, Repoman-2.3.22
Signed-off-by: Aisha Tammy <gentoo <AT> aisha.cc>
Signed-off-by: Aaron Bauman <bman <AT> gentoo.org>
gui-wm/wayfire/Manifest | 1 +
gui-wm/wayfire/metadata.xml | 23 +++++++++
gui-wm/wayfire/wayfire-0.4.0.ebuild | 97 +++++++++++++++++++++++++++++++++++++
gui-wm/wayfire/wayfire-9999.ebuild | 97 +++++++++++++++++++++++++++++++++++++
4 files changed, 218 insertions(+)
diff --git a/gui-wm/wayfire/Manifest b/gui-wm/wayfire/Manifest
new file mode 100644
index 00000000000..f03e463761b
--- /dev/null
+++ b/gui-wm/wayfire/Manifest
@@ -0,0 +1 @@
+DIST wayfire-0.4.0.tar.xz 588904 BLAKE2B b720297b3ffb868761ea61615b4d0fefc2687f8a2060208f8cc002ff7adaf7622da906ad98e25664c3e72c04de2fb74741d0a417cce4826483407bdf10d63b43 SHA512 e96cdb90ce36c005476e08608683983aa167e58aea80fcfd3b24ab0836ec4aa50fb5a7eeb0872a1b1014e3073ed826e1c83d3146b39d3cdb2a8b3a0895155649
diff --git a/gui-wm/wayfire/metadata.xml b/gui-wm/wayfire/metadata.xml
new file mode 100644
index 00000000000..c61941f4b35
--- /dev/null
+++ b/gui-wm/wayfire/metadata.xml
@@ -0,0 +1,23 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <longdescription>
+ compiz like eye-candy 3D wayland, with low memory footprint.
+ Aims to bring desktop features such as 3D cube, fire burn,
+ fisheye, wrot and all other desktop effects to wayland.
+ </longdescription>
+ <maintainer type="person">
+ <email>gentoo@aisha.cc</email>
+ <name>Aisha Tammy</name>
+ </maintainer>
+ <maintainer type="project">
+ <email>proxy-maint@gentoo.org</email>
+ <name>Proxy Maintainers</name>
+ </maintainer>
+ <use>
+ <flag name="gles2">use libglvnd to do animations more efficiently</flag>
+ <flag name='system-wfconfig'>use the system-wide wf-config, else build it as a submodule. DO NOT DISABLE UNLESS YOU KNOW WHAT YOU ARE DOING.</flag>
+ <flag name='system-wlroots'>use the system wide wlroots, else build it as a submodule. DO NOT DISABLE UNLESS YOU KNOW WHAT YOU ARE DOING.</flag>
+ <flag name='debug'>add debugging symbols for error reporting. DISABLE ALL SYSTEM USE FLAGS BEFORE REPORTING BUGS.</flag>
+ </use>
+</pkgmetadata>
diff --git a/gui-wm/wayfire/wayfire-0.4.0.ebuild b/gui-wm/wayfire/wayfire-0.4.0.ebuild
new file mode 100644
index 00000000000..96c6375e2b0
--- /dev/null
+++ b/gui-wm/wayfire/wayfire-0.4.0.ebuild
@@ -0,0 +1,97 @@
+# Copyright 2019-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit meson
+
+DESCRIPTION="compiz like 3D wayland compositor"
+HOMEPAGE="https://github.com/WayfireWM/wayfire"
+
+if [[ ${PV} == 9999 ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/WayfireWM/${PN}.git"
+else
+ SRC_URI="https://github.com/WayfireWM/${PN}/releases/download/${PV}/${P}.tar.xz"
+ KEYWORDS="~amd64 ~arm64 ~x86"
+fi
+
+LICENSE="MIT"
+SLOT="0"
+IUSE="+gles2 +system-wfconfig +system-wlroots elogind systemd debug"
+REQUIRED_USE="?? ( elogind systemd )"
+
+DEPEND="
+ dev-libs/libevdev
+ dev-libs/libinput
+ gui-libs/gtk-layer-shell
+ media-libs/glm
+ media-libs/mesa:=[gles2,wayland,X]
+ media-libs/libjpeg-turbo
+ media-libs/libpng
+ media-libs/freetype:=[X]
+ x11-libs/libdrm
+ x11-libs/gtk+:3=[wayland,X]
+ x11-libs/cairo:=[X,svg]
+ x11-libs/libxkbcommon:=[X]
+ x11-libs/pixman
+ gles2? ( media-libs/libglvnd[X] )
+ system-wfconfig? ( ~gui-libs/wf-config-${PV}[debug=] )
+ !system-wfconfig? ( !gui-libs/wf-config )
+ system-wlroots? ( >=gui-libs/wlroots-0.10.0[elogind=,systemd=,X] )
+ !system-wlroots? ( !gui-libs/wlroots )
+"
+
+RDEPEND="
+ ${DEPEND}
+ elogind? ( sys-auth/elogind )
+ systemd? ( sys-apps/systemd )
+ x11-misc/xkeyboard-config
+"
+
+BDEPEND="
+ ${DEPEND}
+ virtual/pkgconfig
+ >=dev-libs/wayland-protocols-1.18
+"
+
+src_compile(){
+ local emesonargs=(
+ $(meson_feature system-wfconfig use_system_wfconfig)
+ $(meson_feature system-wlroots use_system_wlroots)
+ $(meson_use gles2 enable_gles32)
+ )
+ if use debug; then
+ emesonargs+=(
+ "-Db_sanitize=address,undefined"
+ )
+ fi
+ meson_src_compile
+}
+
+src_install() {
+ default
+ meson_src_install
+ einstalldocs
+
+ insinto "/usr/share/wayland-sessions/"
+ insopts -m644
+ doins wayfire.desktop
+
+ dodoc wayfire.ini
+
+ if ! use systemd && ! use elogind; then
+ fowners root:0 /usr/bin/wayfire
+ fperms 4511 /usr/bin/wayfire
+ fi
+}
+
+pkg_postinst() {
+ if [ -z "${REPLACING_VERSIONS}" ]; then
+ elog "Wayfire has been installed but the session cannot be used"
+ elog "until you install a configuration file. The default config"
+ elog "file is installed at \"/usr/share/doc/${P}/wayfire.ini.bz2\""
+ elog "To install the file execute"
+ elog "\$ mkdir -p ~/.config && bzcat /usr/share/doc/${P}/wayfire.ini.bz2 > ~/.config/wayfire.ini"
+ fi
+}
diff --git a/gui-wm/wayfire/wayfire-9999.ebuild b/gui-wm/wayfire/wayfire-9999.ebuild
new file mode 100644
index 00000000000..96c6375e2b0
--- /dev/null
+++ b/gui-wm/wayfire/wayfire-9999.ebuild
@@ -0,0 +1,97 @@
+# Copyright 2019-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit meson
+
+DESCRIPTION="compiz like 3D wayland compositor"
+HOMEPAGE="https://github.com/WayfireWM/wayfire"
+
+if [[ ${PV} == 9999 ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/WayfireWM/${PN}.git"
+else
+ SRC_URI="https://github.com/WayfireWM/${PN}/releases/download/${PV}/${P}.tar.xz"
+ KEYWORDS="~amd64 ~arm64 ~x86"
+fi
+
+LICENSE="MIT"
+SLOT="0"
+IUSE="+gles2 +system-wfconfig +system-wlroots elogind systemd debug"
+REQUIRED_USE="?? ( elogind systemd )"
+
+DEPEND="
+ dev-libs/libevdev
+ dev-libs/libinput
+ gui-libs/gtk-layer-shell
+ media-libs/glm
+ media-libs/mesa:=[gles2,wayland,X]
+ media-libs/libjpeg-turbo
+ media-libs/libpng
+ media-libs/freetype:=[X]
+ x11-libs/libdrm
+ x11-libs/gtk+:3=[wayland,X]
+ x11-libs/cairo:=[X,svg]
+ x11-libs/libxkbcommon:=[X]
+ x11-libs/pixman
+ gles2? ( media-libs/libglvnd[X] )
+ system-wfconfig? ( ~gui-libs/wf-config-${PV}[debug=] )
+ !system-wfconfig? ( !gui-libs/wf-config )
+ system-wlroots? ( >=gui-libs/wlroots-0.10.0[elogind=,systemd=,X] )
+ !system-wlroots? ( !gui-libs/wlroots )
+"
+
+RDEPEND="
+ ${DEPEND}
+ elogind? ( sys-auth/elogind )
+ systemd? ( sys-apps/systemd )
+ x11-misc/xkeyboard-config
+"
+
+BDEPEND="
+ ${DEPEND}
+ virtual/pkgconfig
+ >=dev-libs/wayland-protocols-1.18
+"
+
+src_compile(){
+ local emesonargs=(
+ $(meson_feature system-wfconfig use_system_wfconfig)
+ $(meson_feature system-wlroots use_system_wlroots)
+ $(meson_use gles2 enable_gles32)
+ )
+ if use debug; then
+ emesonargs+=(
+ "-Db_sanitize=address,undefined"
+ )
+ fi
+ meson_src_compile
+}
+
+src_install() {
+ default
+ meson_src_install
+ einstalldocs
+
+ insinto "/usr/share/wayland-sessions/"
+ insopts -m644
+ doins wayfire.desktop
+
+ dodoc wayfire.ini
+
+ if ! use systemd && ! use elogind; then
+ fowners root:0 /usr/bin/wayfire
+ fperms 4511 /usr/bin/wayfire
+ fi
+}
+
+pkg_postinst() {
+ if [ -z "${REPLACING_VERSIONS}" ]; then
+ elog "Wayfire has been installed but the session cannot be used"
+ elog "until you install a configuration file. The default config"
+ elog "file is installed at \"/usr/share/doc/${P}/wayfire.ini.bz2\""
+ elog "To install the file execute"
+ elog "\$ mkdir -p ~/.config && bzcat /usr/share/doc/${P}/wayfire.ini.bz2 > ~/.config/wayfire.ini"
+ fi
+}
next reply other threads:[~2020-05-17 15:55 UTC|newest]
Thread overview: 42+ messages / expand[flat|nested] mbox.gz Atom feed top
2020-05-17 15:55 Aaron Bauman [this message]
-- strict thread matches above, loose matches on Subject: below --
2020-06-07 0:12 [gentoo-commits] repo/gentoo:master commit in: gui-wm/wayfire/ Aaron Bauman
2020-06-21 18:40 Andreas Sturmlechner
2020-08-17 1:36 Aaron Bauman
2020-11-09 16:35 Aaron Bauman
2020-11-18 16:25 Sam James
2021-02-10 13:36 Joonas Niilola
2021-06-18 6:27 Agostino Sarubbo
2021-09-06 21:08 Sam James
2021-09-06 22:23 Sam James
2021-09-13 7:28 Joonas Niilola
2021-09-13 7:28 Joonas Niilola
2021-09-13 7:28 Joonas Niilola
2021-09-18 14:42 Yixun Lan
2021-11-10 7:50 Joonas Niilola
2021-11-10 7:50 Joonas Niilola
2022-07-10 21:54 Sam James
2022-07-20 21:06 Sam James
2022-10-08 18:25 Sam James
2022-12-18 19:28 Arthur Zamarin
2023-02-13 0:39 Sam James
2023-02-13 0:39 Sam James
2023-08-07 2:55 Sam James
2023-12-01 20:02 Arthur Zamarin
2023-12-17 19:55 Arthur Zamarin
2024-01-19 13:55 Ben Kohler
2024-01-21 5:04 Sam James
2024-01-30 13:50 Sam James
2024-03-14 16:55 Arthur Zamarin
2024-03-16 19:24 Arthur Zamarin
2024-03-16 19:24 Arthur Zamarin
2024-03-19 10:06 Sam James
2024-04-24 14:41 Sam James
2024-05-05 18:27 Viorel Munteanu
2024-05-05 18:27 Viorel Munteanu
2024-05-23 16:10 Matt Turner
2024-06-05 4:47 Viorel Munteanu
2024-06-05 7:00 Arthur Zamarin
2024-08-24 17:06 Viorel Munteanu
2024-08-24 17:06 Viorel Munteanu
2024-09-23 15:18 Viorel Munteanu
2024-10-24 10:23 Sam James
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1589730876.72607ad00acb19416f8173803aa3767b4b4aeb62.bman@gentoo \
--to=bman@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox